mscorlib 2.0.0.0 4.0.0.0 System.Security.AccessControl.ObjectSecurity To be added.

Controls access to objects without direct manipulation of access control lists (ACLs). This class is the abstract base class for the class.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

  true if the new object is a container object.
- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  Adding an access rule might cause existing access rules in the DACL to be merged.

  To avoid unintentionally allowing access to principals, applications should check for the existence of an allow everyone full access (AEFA) access control entry (ACE) and remove it before modifying a DACL.

  Adds the specified access rule to the Discretionary Access Control List (DACL) associated with this object.

  The access rule to add.
- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  Adding an audit rule might cause existing access rules in the SACL to be merged.

  Adds the specified audit rule to the System Access Control List (SACL) associated with this object.

  The audit rule to add.
- Method
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.AuthorizationRuleCollection `` `` `` To be added.

  Gets a collection of the access rules associated with the specified security identifier.

  The collection of access rules associated with the specified object.

  true to include access rules explicitly set for the object. true to include inherited access rules. Specifies whether the security identifier for which to retrieve access rules is of type T:System.Security.Principal.SecurityIdentifier or type T:System.Security.Principal.NTAccount. The value of this parameter must be a type that can be translated to the type.
- Method
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.AuthorizationRuleCollection `` `` `` To be added.

  Gets a collection of the audit rules associated with the specified security identifier.

  The collection of audit rules associated with the specified object.

  true to include audit rules explicitly set for the object. true to include inherited audit rules. The security identifier for which to retrieve audit rules. This must be an object that can be cast as a object.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  Access removal is accomplished by using a complex algorithm that might add access control rules in addition to removing them.

  This method fails to remove the access rule and returns false if the inheritance rules associated with the access rule are too complex for the removal algorithm to succeed.

  To avoid unintentionally allowing access to principals, applications should check for the existence of an allow everyone full access (AEFA) access control entry (ACE) and remove it before modifying a DACL.

  Removes access rules that contain the same security identifier and access mask as the specified access rule from the Discretionary Access Control List (DACL) associated with this object.

  true if the access rule was successfully removed; otherwise, false.

  The access rule to remove.
- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  To avoid unintentionally allowing access to principals, applications should check for the existence of an allow everyone full access (AEFA) access control entry (ACE) and remove it before modifying a DACL.

  Removes all access rules that have the same security identifier as the specified access rule from the Discretionary Access Control List (DACL) associated with this object.

  The access rule to remove.
- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  To avoid unintentionally allowing access to principals, applications should check for the existence of an allow everyone full access (AEFA) access control entry (ACE) and remove it before modifying a DACL.

  Removes all access rules that exactly match the specified access rule from the Discretionary Access Control List (DACL) associated with this object.

  The access rule to remove.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  Audit removal is accomplished by using a complex algorithm that might add audit control rules in addition to removing them.

  This method fails to remove the audit rule and returns false if the inheritance rules associated with the audit rule are too complex for the removal algorithm to succeed.

  Removes audit rules that contain the same security identifier and access mask as the specified audit rule from the System Access Control List (SACL) associated with this object.

  true if the audit rule was successfully removed; otherwise, false.

  The audit rule to remove.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Removes all audit rules that have the same security identifier as the specified audit rule from the System Access Control List (SACL) associated with this object.

  The audit rule to remove.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Removes all audit rules that exactly match the specified audit rule from the System Access Control List (SACL) associated with this object.

  The audit rule to remove.
- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  To avoid unintentionally allowing access to principals, applications should check for the existence of an allow everyone full access (AEFA) access control entry (ACE) and remove it before modifying a DACL.

  Removes all access rules in the Discretionary Access Control List (DACL) associated with this object and then adds the specified access rule.

  The access rule to reset.
- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  To avoid unintentionally allowing access to principals, applications should check for the existence of an allow everyone full access (AEFA) access control entry (ACE) and remove it before modifying a DACL.

  Removes all access rules that contain the same security identifier and qualifier as the specified access rule in the Discretionary Access Control List (DACL) associated with this object and then adds the specified access rule.

  The access rule to set.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Removes all audit rules that contain the same security identifier and qualifier as the specified audit rule in the System Access Control List (SACL) associated with this object and then adds the specified audit rule.

  The audit rule to set.